'\" t
.\"     Title: DROP DATABASE
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2021
.\"    Manual: PostgreSQL 9.6.24 Documentation
.\"    Source: PostgreSQL 9.6.24
.\"  Language: English
.\"
.TH "DROP DATABASE" "7" "2021" "PostgreSQL 9.6.24" "PostgreSQL 9.6.24 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
DROP_DATABASE \- remove a database
.SH "SYNOPSIS"
.sp
.nf
DROP DATABASE [ IF EXISTS ] \fIname\fR
.fi
.SH "DESCRIPTION"
.PP
\fBDROP DATABASE\fR
drops a database\&. It removes the catalog entries for the database and deletes the directory containing the data\&. It can only be executed by the database owner\&. Also, it cannot be executed while you or anyone else are connected to the target database\&. (Connect to
postgres
or any other database to issue this command\&.)
.PP
\fBDROP DATABASE\fR
cannot be undone\&. Use it with care!
.SH "PARAMETERS"
.PP
IF EXISTS
.RS 4
Do not throw an error if the database does not exist\&. A notice is issued in this case\&.
.RE
.PP
\fIname\fR
.RS 4
The name of the database to remove\&.
.RE
.SH "NOTES"
.PP
\fBDROP DATABASE\fR
cannot be executed inside a transaction block\&.
.PP
This command cannot be executed while connected to the target database\&. Thus, it might be more convenient to use the program
\fBdropdb\fR(1)
instead, which is a wrapper around this command\&.
.SH "COMPATIBILITY"
.PP
There is no
\fBDROP DATABASE\fR
statement in the SQL standard\&.
.SH "SEE ALSO"
CREATE DATABASE (\fBCREATE_DATABASE\fR(7))
